<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_Nearest_Position StructType
 * @subpackage Structs
 */
class Get_Nearest_Position extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The PositionAreaSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\NearestPositionSelection
     */
    public $PositionAreaSelection;
    /**
     * Constructor method for Get_Nearest_Position
     * @uses Get_Nearest_Position::setLogin()
     * @uses Get_Nearest_Position::setPositionAreaSelection()
     * @param \StructType\Login $login
     * @param \StructType\NearestPositionSelection $positionAreaSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\NearestPositionSelection $positionAreaSelection = null)
    {
        $this
            ->setLogin($login)
            ->setPositionAreaSelection($positionAreaSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_Nearest_Position
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get PositionAreaSelection value
     * @return \StructType\NearestPositionSelection|null
     */
    public function getPositionAreaSelection()
    {
        return $this->PositionAreaSelection;
    }
    /**
     * Set PositionAreaSelection value
     * @param \StructType\NearestPositionSelection $positionAreaSelection
     * @return \StructType\Get_Nearest_Position
     */
    public function setPositionAreaSelection(\StructType\NearestPositionSelection $positionAreaSelection = null)
    {
        $this->PositionAreaSelection = $positionAreaSelection;
        return $this;
    }
}
